<template>
  <div>
    <EntryBanner
      :games="vsports"
      :tag-line="$t('c88d_entry_banner_virtual_sports_tagline')"
    />
  </div>
</template>

<script lang="ts">
import { computed, defineComponent } from "vue";
import EntryBanner from "./components/EntryBanner.client.vue";
import { store } from "@/store";
import { GameBsi } from "@/models/bsiGameList";
import { gameStore } from "~~/store/game";

export default defineComponent({
  name: "VirtualSport",
  components: {
    EntryBanner,
  },
  setup() {
    const games = computed(() =>
      gameStore.state.games.map((item) => new GameBsi(item))
    );
    const vsports = games.value.filter(
      (game) => game.Category === 4 && game.ForDesktop && game.IsEnabled
    );
    return { vsports };
  },
});
</script>
